Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.acme
Class TestListener

    java.lang.Object
      com.acme.TestListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionActivationListener, javax.servlet.http.HttpSessionAttributeListener, javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextAttributeListener, javax.servlet.ServletContextListener, javax.servlet.ServletRequestAttributeListener, javax.servlet.ServletRequestListener

    public class TestListener

extends java.lang.Object
implements javax.servlet.http.HttpSessionListener, javax.servlet.http.HttpSessionAttributeListener, javax.servlet.http.HttpSessionActivationListener, javax.servlet.ServletContextListener, javax.servlet.ServletContextAttributeListener, javax.servlet.ServletRequestListener, javax.servlet.ServletRequestAttributeListener

Constructor Summary
`TestListener()`

Method Summary
`void` | `attributeAdded(javax.servlet.http.HttpSessionBindingEvent se)`
`void` | `attributeAdded(javax.servlet.ServletContextAttributeEvent scab)`
`void` | `attributeAdded(javax.servlet.ServletRequestAttributeEvent srae)`
`void` | `attributeRemoved(javax.servlet.http.HttpSessionBindingEvent se)`
`void` | `attributeRemoved(javax.servlet.ServletContextAttributeEvent scab)`
`void` | `attributeRemoved(javax.servlet.ServletRequestAttributeEvent srae)`
`void` | `attributeReplaced(javax.servlet.http.HttpSessionBindingEvent se)`
`void` | `attributeReplaced(javax.servlet.ServletContextAttributeEvent scab)`
`void` | `attributeReplaced(javax.servlet.ServletRequestAttributeEvent srae)`
`void` | `contextDestroyed(javax.servlet.ServletContextEvent sce)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent sce)`
`void` | `requestDestroyed(javax.servlet.ServletRequestEvent sre)`
`void` | `requestInitialized(javax.servlet.ServletRequestEvent sre)`
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent se)`
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent se)`
`void` | `sessionDidActivate(javax.servlet.http.HttpSessionEvent se)`
`void` | `sessionWillPassivate(javax.servlet.http.HttpSessionEvent se)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestListener

    public TestListener()

Method Detail

### attributeAdded

    public void attributeAdded(javax.servlet.http.HttpSessionBindingEvent se)

  Specified by:
    `attributeAdded` in interface `javax.servlet.http.HttpSessionAttributeListener`

### attributeRemoved

    public void attributeRemoved(javax.servlet.http.HttpSessionBindingEvent se)

  Specified by:
    `attributeRemoved` in interface `javax.servlet.http.HttpSessionAttributeListener`

### attributeReplaced

    public void attributeReplaced(javax.servlet.http.HttpSessionBindingEvent se)

  Specified by:
    `attributeReplaced` in interface `javax.servlet.http.HttpSessionAttributeListener`

### sessionWillPassivate

    public void sessionWillPassivate(javax.servlet.http.HttpSessionEvent se)

  Specified by:
    `sessionWillPassivate` in interface `javax.servlet.http.HttpSessionActivationListener`

### sessionDidActivate

    public void sessionDidActivate(javax.servlet.http.HttpSessionEvent se)

  Specified by:
    `sessionDidActivate` in interface `javax.servlet.http.HttpSessionActivationListener`

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent sce)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent sce)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### attributeAdded

    public void attributeAdded(javax.servlet.ServletContextAttributeEvent scab)

  Specified by:
    `attributeAdded` in interface `javax.servlet.ServletContextAttributeListener`

### attributeRemoved

    public void attributeRemoved(javax.servlet.ServletContextAttributeEvent scab)

  Specified by:
    `attributeRemoved` in interface `javax.servlet.ServletContextAttributeListener`

### attributeReplaced

    public void attributeReplaced(javax.servlet.ServletContextAttributeEvent scab)

  Specified by:
    `attributeReplaced` in interface `javax.servlet.ServletContextAttributeListener`

### requestDestroyed

    public void requestDestroyed(javax.servlet.ServletRequestEvent sre)

  Specified by:
    `requestDestroyed` in interface `javax.servlet.ServletRequestListener`

### requestInitialized

    public void requestInitialized(javax.servlet.ServletRequestEvent sre)

  Specified by:
    `requestInitialized` in interface `javax.servlet.ServletRequestListener`

### attributeAdded

    public void attributeAdded(javax.servlet.ServletRequestAttributeEvent srae)

  Specified by:
    `attributeAdded` in interface `javax.servlet.ServletRequestAttributeListener`

### attributeRemoved

    public void attributeRemoved(javax.servlet.ServletRequestAttributeEvent srae)

  Specified by:
    `attributeRemoved` in interface `javax.servlet.ServletRequestAttributeListener`

### attributeReplaced

    public void attributeReplaced(javax.servlet.ServletRequestAttributeEvent srae)

  Specified by:
    `attributeReplaced` in interface `javax.servlet.ServletRequestAttributeListener`

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent se)

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent se)

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.